
<%= form_for @security, :url=>{:action=>:create}, :method=>:POST do |f| %>
 <fieldset id='security'>
  <legend><% if @security.id %>Edit<% else %>Add<% end %> Security</legend>
    <%= f.hidden_field :id %>
    <%= f.submit 'Save' %>

   <div style='display: block; float: left;'>
    <% if not @security.has_type_model? %>
         <%= select_tag :security_use_type, options_for_select(Security.types_for_form, :selected=>f.object.type), :prompt=>'-- Select Type --' %>
    <% else %>
         <span><%= @security %></span>
    <% end %>

    <hr/>
    <%= f.select :id_organization, options_from_collection_for_select(@organizations, :id, :to_s, f.object.id_organization) %> Belongs to Organization<br/>
    <%= f.text_field :brief, :size=>25, :placeholder=>'Brief Description' %> Brief Description<br/>

    <hr/>
    <%= f.text_field :symbol, :size=>12, :placeholder=>'Symbol', :class=>'symbol' %> Trading Symbol<br/>
    <%= f.date_field :time_trading_ceased %> Date Trading Ceased<br/>
    <%= f.text_field :trading_ceased_reason, :size=>45, :maxlength=>32, :placeholder=>'Reason for ceased Trading' %><br/>

    <hr/>
    <%= f.select :preferred_reaper, [nil] + Smr::Reapers.get_suitable(@security.type) %> Prefer Quote Source<br/>
    <%= f.check_box :preferred_reaper_locked %><%= f.label :preferred_reaper_locked %><br/>
    <%= f.check_box :fetch_quote %><%= f.label :fetch_quote %>
    <hr/>

    <%= f.number_field :collateral_coverage_ratio, :step=>0.01, :min=>0.0, :value=>number_with_precision(f.object.collateral_coverage_ratio.to_f, :precision=>2) %> Collateral Coverage Ratio<br/>
    <hr/>
    <%= f.text_area :description, :cols=>45, :rows=>15, placeholder: 'What is the story on this security?' %>
    <br/>
   </div>

   <div style='display: block; float: right;'>
    <%= if @security.has_type_model? then
      render \
         :partial=>'objects/security/%s_form' % @security.type,
         :locals=>{:security=>@security, :type=>@security.get_type}
    end %>
   </div>

   <div style='display: block; float: right;'>
    <%= render :partial=>'objects/bookmark/nested_form', :locals=>{:form=>f, :user=>current_user} %>
   </div>
 </fieldset>
<% end %>
